org.gnome.glib

## Class ApplicationCommandLine

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.glib.ApplicationCommandLine

-     public class ApplicationCommandLine
      extends Object

  Basic coverage to handle command line arguments that can be given by using the `Application.CommandLine` signal of the `Application` class.
  Since:
    4.1.2
  Author:
    Guillaume Mazoyer, Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exit()` Call this when you are finished with the ApplicationCommandLine and wish the remote instance to exit.
    `String[]` | `getArguments()` Returns the arguments of the invoking process's command line.

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### exit

          public void exit()

      Call this when you are finished with the ApplicationCommandLine and wish the remote instance to exit.

      If subsequent invocations of your process are to act merely as launchers, activating the primary instance and passing information, then you will want the remote to exit as soon as possible. This method will accomplish that; presumably you will call this from within your `Application.CommandLine` handler once you have finished dealing with the passed command line arguments.

      Do not call more than once.

      Do not use this ApplicationCommandLine object further after `exit()` has been called.

      WARNING
      This is as yet un-implemented in GApplication. We have modelled the necessary functionality by artificially dropping a reference count on the GApplicationCommandLine object, but ultimately, causing the remote to exit relies on the backing GObject being finalized. Your mileage may vary.

      Since:
        4.1.2

    - #### getArguments

          public String[] getArguments()

      Returns the arguments of the invoking process's command line.
      Since:
        4.1.2